# FLAC__IOCallbacks Struct Reference
[FLAC/callback.h: I/O callback structures]

`#include <callback.h>`

List of all members.

## Detailed Description

A structure for holding a set of callbacks. Each FLAC interface that requires a FLAC__IOCallbacks structure will describe which of the callbacks are required. The ones that are not required may be set to NULL.

If the seek requirement for an interface is optional, you can signify that a data sorce is not seekable by setting the seek field to `NULL`.

## Public Attributes

FLAC__IOCallback_Read | read
FLAC__IOCallback_Write | write
FLAC__IOCallback_Seek | seek
FLAC__IOCallback_Tell | tell
FLAC__IOCallback_Eof | eof
FLAC__IOCallback_Close | close

The documentation for this struct was generated from the following file:

- include/FLAC/callback.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |